Yealink T5 Series Expansion Module

(Model # EXP50)
Yealink T5 Series Expansion Module
Yealink

Note: Picture may not represent the actual product. We are continuously working on improving our website and reserve the right to change specifications, availability, and pricing without prior notice.

  • $95.00

  • Availability:
  • In Stock
Qty:
The Yealink EXP50 Color-screen Expansion Module for Yealink T5 Series IP phones is designed to expand the functional capability of your SIP phone to a whole new level. It features a large 4.3-inch color-screen LCD, giving you a vivid visual experience.
EXP50 Features:
  • Wallpaper
  • Screensaver
  • Power saving
  • Avatar Display on SFB and UC platform (pending)
  • Stand with 2 adjustable angles
  • Up to three EXP50's can be attached on any Yealink T5 Series IP phones
  • USB port (2.0 compliant) for data in and out
  • USB port (2.0 compliant) for: wired/wireless USB headset
  • Wi-Fi through WF40
  • USB call recording through USB flash drive
  • Dimension (W*D*H*T): 196.5mm*124.0mm*137.5mm*42.6mm
  • Applies to Yealink T5 Series SIP-T58V/SIP-T58A/SIP-T56A/SIP-T54S/SIP-T52S
  • Operating temperature: -10~50C
  • Operating humidity: 10-95%
Feature Keys and Indicators:
  • 20 physical keys each with a dual-color LED
  • 40 additional keys through page switch
  • 3 independent control keys with illuminated LED are used for fast switching pages
  • Programmable for shared line, BLF List, call park, conference, forward, group pickup, group listening, LDAP, XML Browser
Display:
  • 4.3" 272x480-pixel color display with backlight
  • 16 bit depth color
  • Three page views are possible
  • Different color icons for each function shown on the LCD
Package content:
  • Yealink EXP50 Color-screen Expansion Module
  • Stand
  • Connecting Sheet
  • USB Cable
  • Screwdriver
  • Screws
  • Quick Start Guide
Note: For support of two or three Expansion Modules, an external Yealink power adapter PS5V2000US (5V/2A) is required!
NOTE: Viewing PDF documents requires the free Adobe® Reader® version 5.0 or greater.If you don't already have it installed, you will need to download and install it before using PDF documents.
Get Adobe Reader